Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr.sort
Interface IntSet

All Known Implementing Classes:
  AbstractIntSet, IntArraySet, IntComplementSet, IntEmptySet, IntHashSet, IntRangeSet, IntSingletonSet, IntUniversalSet

    public interface IntSet

A set of integers represented as int values

Method Summary
`boolean` | `add(int value)` Add an integer to the set
`void` | `clear()` Clear the contents of the IntSet (making it an empty set)
`boolean` | `contains(int value)` Determine whether a particular integer is present in the set
`boolean` | `containsAll(IntSet other)` Test if this set is a superset of another set
`IntSet` | `copy()` Create a copy of this IntSet that leaves the original unchanged.
`IntSet` | `except(IntSet other)` Form a new set that is the difference of this set and another set.
`IntSet` | `intersect(IntSet other)` Form a new set that is the intersection of this IntSet and another.
`boolean` | `isEmpty()` Determine if the set is empty
`IntIterator` | `iterator()` Get an iterator over the values
`IntSet` | `mutableCopy()` Create a copy of this IntSet that contains the same set of integers.
`boolean` | `remove(int value)` Remove an integer from the set
`int` | `size()` Get the number of integers in the set
`IntSet` | `union(IntSet other)` Form a new set that is the union of this IntSet and another.

Method Detail

### copy

    IntSet copy()

  Create a copy of this IntSet that leaves the original unchanged.

  Returns:
    an IntSet containing the same integers. The result will not necessarily be the same class as the original. It will either be an immutable object, or a newly constructed object.

### mutableCopy

    IntSet mutableCopy()

  Create a copy of this IntSet that contains the same set of integers.

  Returns:
    an IntSet containing the same integers. The result will not necessarily be the same class as the original. It will always be a mutable object

### clear

    void clear()

  Clear the contents of the IntSet (making it an empty set)

### size

    int size()

  Get the number of integers in the set

  Returns:
    the size of the set

### isEmpty

    boolean isEmpty()

  Determine if the set is empty

  Returns:
    true if the set is empty, false if not

### contains

    boolean contains(int value)

  Determine whether a particular integer is present in the set

  Parameters:
    `value` - the integer under test
  Returns:
    true if value is present in the set, false if not

### remove

    boolean remove(int value)

  Remove an integer from the set

  Parameters:
    `value` - the integer to be removed
  Returns:
    true if the integer was present in the set, false if it was not present

### add

    boolean add(int value)

  Add an integer to the set

  Parameters:
    `value` - the integer to be added
  Returns:
    true if the integer was added, false if it was already present

### iterator

    IntIterator iterator()

  Get an iterator over the values

  Returns:
    an iterator over the integers in the set

### union

    IntSet union(IntSet other)

  Form a new set that is the union of this IntSet and another. The result will either be an immutable object, or a newly constructed object.

  Parameters:
    `other` - the second set
  Returns:
    the union of the two sets

### intersect

    IntSet intersect(IntSet other)

  Form a new set that is the intersection of this IntSet and another. The result will either be an immutable object, or a newly constructed object.

  Parameters:
    `other` - the second set
  Returns:
    the intersection of the two sets

### except

    IntSet except(IntSet other)

  Form a new set that is the difference of this set and another set. The result will either be an immutable object, or a newly constructed object.

  Parameters:
    `other` - the second set
  Returns:
    the intersection of the two sets

### containsAll

    boolean containsAll(IntSet other)

  Test if this set is a superset of another set

  Parameters:
    `other` - the other set
  Returns:
    true if every integer in the other set is also present in this set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.